<?
  
if(@$_SERVER['HTTP_ACCEPT_ENCODING'])
{$compress = strtolower($_SERVER['HTTP_ACCEPT_ENCODING']);}
else
{$compress = strtolower(@$_SERVER['HTTP_TE']);}

if(substr_count($compress,'deflate')) // Если поддерживается deflate
{
function compress_output_deflate($output)
{return gzdeflate(trim($output),4);}

$method = 'deflate';
header('Content-Encoding: deflate');
ob_start('compress_output_deflate');
ob_implicit_flush(0);
}
elseif(substr_count($compress,'gzip')) // Если поддерживается gzip
{
function compress_output_gzip($output)
{return gzencode(trim($output),4);}

$method = 'gzip';
header('Content-Encoding: gzip');
ob_start('compress_output_gzip');
ob_implicit_flush(0);
}
elseif(substr_count($compress,'x-gzip')) // Если поддерживается x-gzip
{
function compress_output_x_gzip($output)
{
$x = "\x1f\x8b\x08\x00\x00\x00\x00\x00";
$size = strlen($output);
$crc = crc32($output);
$output = gzcompress(trim($output),4);
$output = substr($output, 0, strlen($output) - 4);
$x.= $output;
$x.= pack('V',$crc);
$x.= pack('V',$size);
return $x;
}

$method = 'x-gzip';
header('Content-Encoding: x-gzip');
ob_start('compress_output_x_gzip');
ob_implicit_flush(0);
}

function head(){
global $head, $set, $align, $title, $user, $them;
if (empty($head)) $head = $title;

$set['meta_keywords']=(isset($set['meta_keywords']))?$set['meta_keywords']:null;
$set['meta_description']=(isset($set['meta_description']))?$set['meta_description']:null;


if ($set['meta_keywords']!=NULL)
{
function meta_keywords($str)
{
global $set;
return str_replace('</head>', '<meta name="keywords" content="'.$set['meta_keywords'].'" />'."\n</head>", $str);
}
ob_start('meta_keywords');
}
if ($set['meta_description']!=NULL)
{
function meta_description($str)
{
global $set;
return str_replace('</head>', '<meta name="description" content="'.$set['meta_description'].'" />'."\n</head>", $str);
}
ob_start('meta_description');
}
header('Cache-Control: no-store, no-cache, must-revalidate');

header("Content-type: text/html");
echo '<?xml version="1.0" encoding="utf-8"?><!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ru">
<head>
<title>'.$title.'</title>
<link rel="shortcut icon" href="/favicon.ico" />
<link rel="stylesheet" href="/style/css/style.css" type="text/css" />
</head>
<body>
<div class="contur">'; if($user['read']!=0)echo'<div class="main">Произошли новые события!<br/><a href="/diary.php">Смотреть!</a></div>'; elseif($user['go_time']!=0)echo '<div class="main">Ты сейчас в <a href="/go.php">походе</a>, осталось: '.maketime($user[go_time]-time()).'</div>'; echo'<div class="logo"><a href="/index.php"><img class="lg" src="/style/css/style/l.png" alt="*" /></a></div><div style="text-align:'.$align.'">';

}

function foot()
{

global $user, $method;

$contents = ob_get_contents();
$in = strlen($contents);
if($_SERVER['PHP_SELF']!='/index.php')echo '<div class="komm1"><img src="/style/img/in.png" alt="*" /> <a href="/index.php">На главную</a></div>'; echo'</div><div class="footer">';
if(isset($user))echo'<a href="/info.php"><img src="/style/img/life.gif" alt="*" />'.$user[life].'</a> <a href="/zadanie.php?mod=level"><img src="/style/img/lv.gif" alt="*" />'.$user[lv].'</a> <img src="/style/img/monetka.gif" alt="*" />'.$user[gold].'<br/>';
if(isset($method))
{
if($method == 'deflate')
{$out = strlen(gzdeflate($contents,4));}
elseif($method == 'gzip')
{$out = strlen(gzencode($contents,4));}
elseif($method == 'x-gzip')
{$out = strlen(gzcompress($contents,4));}


echo "Сжатие: ".round(100-(100/($in/$out)),1)."%";
}
else echo "Страница: ".round($in/1024,1)." Кб"; echo"</div>\n</div>\n</body>\n</html>";
exit;}
?>